use super::*;

#[derive(Debug, Clone)]
pub enum RecursionMode
{
    None,
    All,
    N(usize),
}

#[derive(Debug, Clone)]
pub enum OperationMode
{
    Print,
    Delete,
}

#[derive(Debug, Clone)]
pub struct Mode
{
    pub error_mode: error::Mode,
    pub recursion_mode: RecursionMode,
    pub operation_mode: OperationMode,
}

impl Default for Mode
{
    fn default() -> Self
    {
	Self {
	    error_mode: error::Mode::Cancel,
	    recursion_mode: RecursionMode::None,
	    operation_mode: OperationMode::Print,
	}
    }
}
